Last Comment Bug 797452 - Intermittent build/macosx/universal/unify failure: "copyIfIdentical: files differ"
: Intermittent build/macosx/universal/unify failure: "copyIfIdentical: files di...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Mac OS X
: -- critical (vote)
: Thunderbird 18.0
Assigned To: Mark Banner (:standard8, afk until Dec)
:
:
Mentors:
Depends on: 780835
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 11:23 PDT by Mark Banner (:standard8, afk until Dec)
Modified: 2012-10-29 04:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
The fix (696 bytes, patch)
2012-10-03 11:26 PDT, Mark Banner (:standard8, afk until Dec)
irving: review+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, afk until Dec) 2012-10-03 11:23:01 PDT
+++ This bug was initially created as a clone of Bug #780835 +++

Mac universal builds sometime fail with errors like this:
/builds/slave/m-in-osx64/build/build/macosx/universal/unify: copyIfIdentical: files differ:
  obj-firefox/i386/dist/test-package-stage/mochitest/extensions/specialpowers/chrome.manifest,
  obj-firefox/x86_64/dist/test-package-stage/mochitest/extensions/specialpowers/chrome.manifest
Comment 1 Mark Banner (:standard8, afk until Dec) 2012-10-03 11:26:02 PDT
Created attachment 667570 [details] [diff] [review]
The fix

Simple port of bug 780835 which should get rid of a lot of the random red we've been seeing on the OS X Opt builders.
Comment 2 :Irving Reid (No longer working on Firefox) 2012-10-03 12:44:09 PDT
Comment on attachment 667570 [details] [diff] [review]
The fix

Review of attachment 667570 [details] [diff] [review]:
-----------------------------------------------------------------

Looks fine.
Comment 3 Mark Banner (:standard8, afk until Dec) 2012-10-04 13:49:36 PDT
Checked in: https://hg.mozilla.org/comm-central/rev/d394e3684954
Comment 4 Mark Banner (:standard8, afk until Dec) 2012-10-29 04:05:03 PDT
Comment on attachment 667570 [details] [diff] [review]
The fix

[Triage Comment]
I just saw this on beta (17), so rather than risk hitting this on the branch that will become ESR, we'll take this easy fix that resolves the issue.
Comment 5 Mark Banner (:standard8, afk until Dec) 2012-10-29 04:07:23 PDT
https://hg.mozilla.org/releases/comm-beta/rev/85699b340a61

Note You need to log in before you can comment on or make changes to this bug.